ResolvableDependencies (Gradle API 2.14.1)

Package: org.gradle.api.artifacts

## [Java] Interface ResolvableDependencies

- A set of Dependency objects which can be resolved to a set of `File` instances.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `afterResolve(Action<? super ResolvableDependencies> action)` Adds an action to be executed after the dependencies of this set have been resolved.
    `void` | `afterResolve(groovy.lang.Closure action)` Adds an action to be executed after the dependencies of this set have been resolved.
    `void` | `beforeResolve(Action<? super ResolvableDependencies> action)` Adds an action to be executed before the dependencies in this set are resolved.
    `void` | `beforeResolve(groovy.lang.Closure action)` Adds an action to be executed before the dependencies in this set are resolved.
    `DependencySet` | `getDependencies()` Returns the set of dependencies which will be resolved.
    `FileCollection` | `getFiles()` Returns a FileCollection which contains the resolved set of files.
    `String` | `getName()` Returns the name of this set.
    `String` | `getPath()` Returns the path of this set.
    `ResolutionResult` | `getResolutionResult()` Returns an instance of ResolutionResult that gives access to the graph of the resolved dependencies.

- - ### Method Detail

    - #### public void afterResolve(Action<? super ResolvableDependencies> action)

      Adds an action to be executed after the dependencies of this set have been resolved.

      Parameters:
        `action` - The action to execute.

    - #### public void afterResolve(groovy.lang.Closure action)

      Adds an action to be executed after the dependencies of this set have been resolved.

      Parameters:
        `action` - The action to execute.

    - #### public void beforeResolve(Action<? super ResolvableDependencies> action)

      Adds an action to be executed before the dependencies in this set are resolved.

      Parameters:
        `action` - The action to execute.

    - #### public void beforeResolve(groovy.lang.Closure action)

      Adds an action to be executed before the dependencies in this set are resolved.

      Parameters:
        `action` - The action to execute.

    - #### public DependencySet getDependencies()

      Returns the set of dependencies which will be resolved.

      Returns:
        the dependencies. Never null.

    - #### public FileCollection getFiles()

      Returns a FileCollection which contains the resolved set of files. The returned value is lazy, so dependency resolution is not performed until the contents of the collection are queried.

      Returns:
        The collection. Never null.

    - #### public String getName()

      Returns the name of this set.

      Returns:
        The name. Never null.

    - #### public String getPath()

      Returns the path of this set. This is a unique identifier for this set.

      Returns:
        The path. Never null.

    - #### @Incubating public ResolutionResult getResolutionResult()

      Returns an instance of ResolutionResult that gives access to the graph of the resolved dependencies.

      Returns:
        the resolution result
      Since:
        1.3